すいません。
なぜかもう一度やったら出来ました。
理由は分かりません。

On Sun, 31 Aug 2008 19:31:51 +0900
Akira Hayakawa <ruby / i-mail.jp> wrote:

> 度々すいません。エラー製造マシンのAkiraです。
> 
> 家のパソコンで、rubygemのインストールになぜか失敗しました。
> akira@akira-desktop:/usr/local/src/rubygems-1.2.0$ sudo ruby  setup.rb 
> /usr/local/src/rubygems-1.2.0/lib/rubygems/spec_fetcher.rb:1:in `require': no such file to load -- zlib (LoadError)
> 	from /usr/local/src/rubygems-1.2.0/lib/rubygems/spec_fetcher.rb:1
> 	from /usr/local/src/rubygems-1.2.0/lib/rubygems/source_index.rb:10:in `require'
> 	from /usr/local/src/rubygems-1.2.0/lib/rubygems/source_index.rb:10
> 	from /usr/local/src/rubygems-1.2.0/lib/rubygems.rb:767:in `require'
> 	from /usr/local/src/rubygems-1.2.0/lib/rubygems.rb:767
> 	from setup.rb:22:in `require'
> 	from setup.rb:22
> 
> 
> 研究室のパソコンで
> http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-list/43256
> に従って、zlib1g-devパッケージを入れて、
> $sudo ./configure(は必要だったか分かりませんが)して
> $sudo make
> したらちゃんとrubygemが使えるようになったのですが、
> なぜか家では出来ません。
> 
> どういう原因と対策が考えられるでしょうか?
> 
> 私の素人的な考えでは、
> README.jaから引用ですが、
> 
>   4. (必要ならば)ext/Setupに静的にリンクする拡張モジュールを
>      指定する
> 
>      ext/Setupに記述したモジュールは静的にリンクされます.
> 
>      ダイナミックローディングをサポートしていないアーキテク
>      チャではSetupの1行目の「option nodynamic」という行のコ
>      メントを外す必要があります.また,このアーキテクチャで
>      拡張モジュールを利用するためには,あらかじめ静的にリン
>      クしておく必要があります.
> 
> ここが怪しいのではと考えました。
> もしかして私のパソコンはそのダイナミックローディングというのをサポートしていないのではと考えて、
> #option nodynamic
> #zlib
> のコメントを外して再度同様の手順を踏んだのですが、また失敗しました。
> 
> どうすればよいのでしょうか?
> 
> -- 
> Akira Hayakawa <ruby / i-mail.jp>
> 
> 


-- 
Akira Hayakawa <ruby / i-mail.jp>